/*
 * @Description: 
 * @Version: 2.0
 * @Author: Seven
 * @Date: 2022-06-19 13:42:39
 * @LastEditors: Seven
 * @LastEditTime: 2023-08-31 10:32:43
 */
#ifndef HAMMING_H__
#define HAMMING_H__
#include "board.h"

void hamming_test(uint8_t num);
void HM_encode_u32(uint32_t data, uint32_t *code);
uint32_t HM_decode_u32(uint32_t *data);
void HM_encode_char(uint8_t data, uint8_t *code);
uint8_t HM_decode_char(uint8_t *code);
void HM_encode(uint8_t *src, uint8_t *des, uint16_t size);
void HM_decode(uint8_t *src, uint8_t *des, uint16_t size);


#endif
